/* <naga02.h>
 *
 * Copyright 1996 Numerical Algorithms Group
 *
 * Include file for NAG C Library a02 Chapter
 *
 * Mark 4, revised, 1996.
 * Mark 5 revised. IER-2140 (Feb 1998).
 * Mark 6 revised. IER-3022 (July 2000).
 * Mark 7 revised. IER-3899 (September 2001).
 *
 */
#ifndef NAGA02
#define NAGA02

/// ML 9/22/2004 COMPILING_ONAG8HEADERS_IN_OC
#ifndef _MSC_VER	   //VC
	// This must be put into every header since it does not appear to be
	// inheritable from parent header to child (#include-ded) header:
	#pragma dll(ONAG8)
#endif // !_MSC_VER	   //VC
/// end COMPILING_ONAG8HEADERS_IN_OC

#ifdef __cplusplus
extern "C"
{
#endif
#define a02aac a02dcc
#define a02abc a02dbc
#define a02acc a02cdc
  /* begin proto */
  extern void a02aaf_f(double xxr, double xxi, double *yr, double *yi);
  extern double a02abf_f(double xxr, double xxi);
  extern void a02acf(double xxr, double xxi, double yyr, double yyi,
                     double *zr, double *zi);
  //cheney change Complex to complex  2006-6-6
  /*extern NAG_DLL_EXPIMP Complex NAG_CALL a02bac(double x, double y);
  extern NAG_DLL_EXPIMP double NAG_CALL a02bbc(Complex z);
  extern NAG_DLL_EXPIMP double NAG_CALL a02bcc(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02cac(Complex z1, Complex z2);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02cbc(Complex z1, Complex z2);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02ccc(Complex z1, Complex z2);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02cdc(Complex z1, Complex z2);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02cec(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02cfc(Complex z);
  extern NAG_DLL_EXPIMP Boolean NAG_CALL a02cgc(Complex z1, Complex z2);
  extern NAG_DLL_EXPIMP Boolean NAG_CALL a02chc(Complex z1, Complex z2);
  extern NAG_DLL_EXPIMP double NAG_CALL a02dac(Complex z);
  extern NAG_DLL_EXPIMP double NAG_CALL a02dbc(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02dcc(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02ddc(Complex z, Integer i);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02dec(Complex z, double x);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02dfc(Complex z1, Complex z2);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02dgc(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02dhc(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02djc(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02dkc(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02dlc(Complex z);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02eic(Complex z1, Complex z2);
  extern NAG_DLL_EXPIMP Complex NAG_CALL a02ejc(Complex z1, double d1);*/
  extern NAG_DLL_EXPIMP complex NAG_CALL a02bac(double x, double y);
  extern NAG_DLL_EXPIMP double NAG_CALL a02bbc(complex &z);
  extern NAG_DLL_EXPIMP double NAG_CALL a02bcc(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02cac(complex &z1, complex &z2);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02cbc(complex &z1, complex &z2);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02ccc(complex &z1, complex &z2);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02cdc(complex &z1, complex &z2);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02cec(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02cfc(complex &z);
  extern NAG_DLL_EXPIMP Boolean NAG_CALL a02cgc(complex &z1, complex &z2);
  extern NAG_DLL_EXPIMP Boolean NAG_CALL a02chc(complex &z1, complex &z2);
  extern NAG_DLL_EXPIMP double NAG_CALL a02dac(complex &z);
  extern NAG_DLL_EXPIMP double NAG_CALL a02dbc(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02dcc(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02ddc(complex &z, Integer i);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02dec(complex &z, double x);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02dfc(complex &z1, complex &z2);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02dgc(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02dhc(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02djc(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02dkc(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02dlc(complex &z);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02eic(complex &z1, complex &z2);
  extern NAG_DLL_EXPIMP complex NAG_CALL a02ejc(complex &z1, double d1);
  /* end proto */
#ifdef __cplusplus
}
#endif
#endif /* not NAGA02 */
